<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        * { box-sizing: border-box; }
        :root{
            --header-height:20vh;
            --content-height: 90vh;
            --menu-height: 15vh;
            --main-height: var(--content-height);
            --aside-height: 15vh;
        }
        .container {
            display: flex;
            flex-wrap: wrap;
        }
        
        .column
        {
            border-style: solid;
            border-color: white;
            border-width: 2px;
        }

        .header {
            background-color: red;
            width: 100%;
            height: var(--header-height);       
        }

        .menu {
            background-color: greenyellow;            
            width: 100%;            
            height: var(--menu-height);            
        }

        .main {
            background-color: navy;
            width: 100%;         
            height: var(--main-height);       
        }

        .aside {
            background-color: purple;
            width: 100%;         
            height: var(--aside-height);       
        }       

        @media screen and (min-width: 360px) {
            :root{
                --menu-height: var(--content-height);
            }
            .aside {
                width: 100%;            
            }
            .main {
                width: 80%;         
            }
            .menu {
                width: 20%;            
            }
        }

        @media screen and (min-width: 520px) {
            :root{
                --content-height: 75vh;
                --menu-height: var(--content-height);
                --main-height: var(--content-height);
                --aside-height: var(--content-height);
            }
            .aside {
                width: 20%;            
            }
            .main {
                width: 60%;         
            }
            .menu {
                width: 20%;            
            }
        }

    </style>
</head>
<body>
    <div class="container">
        <div class="header column"></div>
        <div class="menu column"></div>
        <div class="main column"></div>
        <div class="aside column"></div>
    </div>
</body>
</html>